com.fasterxml.jackson.databind.deser.impl

## Class ExternalTypeHandler.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ExternalTypeHandler.Builder

Enclosing class:
  ExternalTypeHandler

    public static class ExternalTypeHandler.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExternalTypeHandler.Builder()`

### Method Summary

Methods
`void` `addExternal(SettableBeanProperty property, TypeDeserializer typeDeser)`
`ExternalTypeHandler` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExternalTypeHandler.Builder

    public ExternalTypeHandler.Builder()

### Method Detail

#### addExternal

    public void addExternal(SettableBeanProperty property,
                   TypeDeserializer typeDeser)

#### build

    public ExternalTypeHandler build()